| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | Friends | List of all members
AvalancheSchedulerSvc::SchedulerState Class Reference
Collaboration diagram for AvalancheSchedulerSvc::SchedulerState:
[legend]

## Public Member Functions
| SchedulerState (Algorithm *a, EventContext *e, pthread_t t)
Algorithm * | alg () const
EventContext | ctx () const
pthread_t | thread () const
bool | operator== (const SchedulerState &ss) const
bool | operator== (Algorithm *a) const
bool | operator< (const SchedulerState &rhs) const

## Private Attributes
Algorithm * | m_a
EventContext | m_e
pthread_t | m_t

## Friends
std::ostream & | operator<< (std::ostream &os, const SchedulerState &ss)

## Detailed Description

Definition at line 270 of file AvalancheSchedulerSvc.h.

## Constructor & Destructor Documentation

AvalancheSchedulerSvc::SchedulerState::SchedulerState | ( | Algorithm * | a,
|  | EventContext * | e,
|  | pthread_t | t
| ) |  |
| inline

Definition at line 274 of file AvalancheSchedulerSvc.h.

274 : m_a( a ), m_e( *e ), m_t( t ) {}
AvalancheSchedulerSvc::SchedulerState::m_e
EventContext m_e
Definition: AvalancheSchedulerSvc.h:295
AvalancheSchedulerSvc::SchedulerState::m_t
pthread_t m_t
Definition: AvalancheSchedulerSvc.h:296
AvalancheSchedulerSvc::SchedulerState::m_a
Algorithm * m_a
Definition: AvalancheSchedulerSvc.h:294

## Member Function Documentation

Algorithm* AvalancheSchedulerSvc::SchedulerState::alg | ( |  | ) | const
| inline

Definition at line 276 of file AvalancheSchedulerSvc.h.

276 { return m_a; }
AvalancheSchedulerSvc::SchedulerState::m_a
Algorithm * m_a
Definition: AvalancheSchedulerSvc.h:294

EventContext AvalancheSchedulerSvc::SchedulerState::ctx | ( |  | ) | const
| inline

Definition at line 277 of file AvalancheSchedulerSvc.h.

277 { return m_e; }
AvalancheSchedulerSvc::SchedulerState::m_e
EventContext m_e
Definition: AvalancheSchedulerSvc.h:295

bool AvalancheSchedulerSvc::SchedulerState::operator< | ( | const SchedulerState & | rhs | ) | const
| inline

Definition at line 291 of file AvalancheSchedulerSvc.h.

291 { return ( m_a < rhs.alg() ); }
AvalancheSchedulerSvc::SchedulerState::m_a
Algorithm * m_a
Definition: AvalancheSchedulerSvc.h:294

bool AvalancheSchedulerSvc::SchedulerState::operator== | ( | const SchedulerState & | ss | ) | const
| inline

Definition at line 287 of file AvalancheSchedulerSvc.h.

287 { return ( m_a == ss.alg() ); }
AvalancheSchedulerSvc::SchedulerState::m_a
Algorithm * m_a
Definition: AvalancheSchedulerSvc.h:294

bool AvalancheSchedulerSvc::SchedulerState::operator== | ( | Algorithm * | a | ) | const
| inline

Definition at line 289 of file AvalancheSchedulerSvc.h.

289 { return ( m_a == a ); }
AvalancheSchedulerSvc::SchedulerState::m_a
Algorithm * m_a
Definition: AvalancheSchedulerSvc.h:294

pthread_t AvalancheSchedulerSvc::SchedulerState::thread | ( |  | ) | const
| inline

Definition at line 278 of file AvalancheSchedulerSvc.h.

278 { return m_t; }
AvalancheSchedulerSvc::SchedulerState::m_t
pthread_t m_t
Definition: AvalancheSchedulerSvc.h:296

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const SchedulerState & | ss
| ) |  |
| friend

Definition at line 280 of file AvalancheSchedulerSvc.h.

281 {
282 os << ss.ctx() << " a: " << ss.alg()->name() << " [" << std::hex << ss.alg() << std::dec << "] t: 0x"
283 << std::hex << ss.thread() << std::dec;
284 return os;
285 }
std::hex
T hex(T...args)

## Member Data Documentation

Algorithm* AvalancheSchedulerSvc::SchedulerState::m_a
| private

Definition at line 294 of file AvalancheSchedulerSvc.h.

EventContext AvalancheSchedulerSvc::SchedulerState::m_e
| private

Definition at line 295 of file AvalancheSchedulerSvc.h.

pthread_t AvalancheSchedulerSvc::SchedulerState::m_t
| private

Definition at line 296 of file AvalancheSchedulerSvc.h.

The documentation for this class was generated from the following file:

- GaudiHive/src/AvalancheSchedulerSvc.h